backup(8)

NAME
backup - Volume by volume backup of the Coda File System

SYNOPSIS
backup [-p poll_period] [-t timeout] <dumplist> [dumpdir]

DESCRIPTION
backup performs the clone and dump phases of the Coda backup mechanism. dumplist is a file as described in dumplist(5). It also reads vicetab which is described in vicetab(5) to know where to place dump files. The backup program creates many lines of information as the phases progress. It is a good idea to redirect standard output to a log file. A sample of this log file backuplogs(5). After both phases are completed, it prints out a list of volumes in several groupings, and some histograms detailing size and speed of the dumpfiles transferred. The first group are the volumes that were successfully backed up on all servers in their VSG. The second group contains volumes that were successful on some, but not all of their VSGs. The third group contains volumes that were complete failures. The last group contains volumes that are in the VLDB or VRDB but not in the dumplist. The second and third groups use an n-letter word to describe the last successful operation that succeeded on each replica. The kth position in the n-letter word corresponds to the kth replica in the VRDB entry for this volume. One of four letters appears in each position: "L", "C", "D", and "M". "L" means the replica was only locked, "C" means it was cloned but not dumped, "D" means it was dumped (but not marked as such on the server, see the discusion in the manual chapter on backup), and "M" means all phases completed successfully. backup supports the following command line options:

-p poll_period
    Number of seconds to sleep between polls a servers that backup thinks are down.

-t timeout
    Timout value, in seconds, for RPC2 calls.

SEE ALSO
volutil (8), dumplist (5), backuplogs (5), Backup chapter of the Coda Manual.

AUTHOR
David C. Steere, 1991, Created updated 1998, -hmp